import { declare } from '@babel/helper-plugin-utils';
import syntaxImportAttributes from '@babel/plugin-syntax-import-attributes';

var index = declare(api => {
  api.assertVersion("8.0.0-alpha.10");
  return {
    name: "proposal-import-attributes-to-assertions",
    inherits: syntaxImportAttributes,
    manipulateOptions({
      generatorOpts
    }) {
      generatorOpts.importAttributesKeyword = "assert";
    },
    visitor: {
      "ImportDeclaration|ExportNamedDeclaration|ExportAllDeclaration"(path) {
        const {
          node
        } = path;
        if (!node.attributes) return;
        node.assertions = node.attributes;
        node.attributes = null;
      }
    }
  };
});

export { index as default };
//# sourceMappingURL=index.js.map
